<?php 
 session_start();
 include ("conexion.php");
 include("header.php");
 $query = $pdo->prepare('SELECT *
                           FROM tareas
                           INNER JOIN clientes
                           ON tareas.cliente = clientes.clienteID
                           INNER JOIN usuarios
                           ON tareas.usuario_id = usuarios.usuarioID');
 $query->execute();
 $todasTareas = $query->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="es">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Gestor de tareas | Todas las tareas</title>

    <!-- Bootstrap -->
    <link href="../resources/template/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../resources/template/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../resources/template/vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- Datatables -->
    <link href="../resources/template/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../resources/template/build/css/custom.min.css" rel="stylesheet">
  </head>
  <body>

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="clearfix"></div>
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2><i class="fa fa-tasks"></i> Todas las tareas</h2>
                    <div class="clearfix"></div>
                  </div>

 

<!-- TABLA DE TODAS LAS TAREAS -->
<table id="datatable-responsive" class="table table-hover dt-responsive nowrap" cellspacing="0" width="100%">
  <thead>
    <tr>
      <th>#</th>
      <th>Título</th>
      <th>Cliente</th>
      <th>Responsable</th>
      <th>Proyecto</th>
      <th>Fecha final</th>
      <th>Prioridad</th>
      <th>Estado</th>
    </tr>
  </thead>
  <?php
    foreach($todasTareas as $tarea) {
  ?>
    <tr>
      <td><?php echo $tarea['ID']; ?></td>
      <td onclick="location='fichatarea.php?tareaID=<?php echo $tarea['ID'];?>'"><?php echo $tarea['titulo']; ?></td>
      <td onclick="location='fichatarea.php?tareaID=<?php echo $tarea['ID'];?>'"><?php echo $tarea['clienteNombre']; ?></td>
      <td onclick="location='fichatarea.php?tareaID=<?php echo $tarea['ID'];?>'"><?php echo $tarea['usuarioNombre']; ?></td>
      <td onclick="location='fichatarea.php?tareaID=<?php echo $tarea['ID'];?>'"><?php echo $tarea['proyecto_id']; ?></td>
      <td onclick="location='fichatarea.php?tareaID=<?php echo $tarea['ID'];?>'"><?php echo $tarea['fechaFin']; ?></td>
      <?php 
      if ($tarea['estado'] == 'Cerrada'){
        echo ' <td class = "text-center" style="background-color: #28B71E; color: #FFF;">';
      } else if ($tarea['prioridad'] == 'Alta'){
        echo ' <td class = "text-center" style="background-color: #C70039; color: #FFF;">';
      } else if ($tarea['prioridad'] == "Media"){
        echo ' <td class = "text-center" style="background-color: #E46D30; color: #FFF;">';
      } else if ($tarea['prioridad'] == "Baja"){
        echo ' <td class = "text-center" style="background-color: #FFC300; color: #FFF;">';
      }
      echo $tarea['prioridad'];
       ?>
      </td>
      <td class = "text-center" style="background-color:
      <?php 
      if ($tarea['estado'] == 'Cerrada'){
        echo ' #28B71E;';
      } else if ($tarea['estado'] == 'Abierta'){
        echo ' #C70039;';
      } else if ($tarea['estado'] == "En espera"){
        echo ' 888888;';
      }
      echo ' color: #FFF;';
      ?>"><?php echo $tarea['estado'];?>
      </td>
    </tr>
  <?php } ?>
</table>
<!-- TABLA DE TODAS LAS TAREAS -->


                </div>
              </div>
            </div>
          </div>
        </div>

        
  <?php
    echo $usuarioActivo['usuarioNombre'];
  ?>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            Gentelella - Bootstrap Admin Template by <a href="https://colorlib.com">Colorlib</a>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <!-- jQuery -->
    <script src="../resources/template/vendors/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="../resources/template/vendors/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- FastClick -->
    <script src="../resources/template/vendors/fastclick/lib/fastclick.js"></script>
    <!-- NProgress -->
    <script src="../resources/template/vendors/nprogress/nprogress.js"></script>
    <!-- Datatables -->
    <script src="../resources/template/vendors/datatables.net/js/jquery.dataTables.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.flash.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js"></script>
    <script src="../resources/template/vendors/datatables.net-scroller/js/dataTables.scroller.min.js"></script>
    <script src="../resources/template/vendors/jszip/dist/jszip.min.js"></script>
    <script src="../resources/template/vendors/pdfmake/build/pdfmake.min.js"></script>
    <script src="../resources/template/vendors/pdfmake/build/vfs_fonts.js"></script>

    <!-- Custom Theme Scripts -->
    <script src="../resources/template/build/js/custom.min.js"></script>

  </body>
</html>